openssl req -x509 -nodes -days 365 -newkey rsa:2048 -keyout my_2048.key -out my_2048.cert
openssl req -x509 -nodes -days 365 -newkey rsa:3072 -keyout my_3072.key -out my_3072.cert
openssl req -x509 -nodes -days 365 -newkey rsa:4096 -keyout my_4096.key -out my_4096.cert

openssl ecparam -genkey -name prime256v1 -out my_ecc_key.pem
openssl req -new -sha256 -key my_ecc_key.pem -out my_ecc.csr
openssl req -x509 -sha256 -days 365 -key my_ecc_key.pem -in my_ecc.csr -out my_ecc_cert.pem

openssl ecparam -genkey -name secp384r1 -out ecc_384_key.pem
openssl req -new -sha256 -key ecc_384_key.pem -out ecc_384.csr
openssl req -x509 -sha256 -days 365 -key ecc_384_key.pem -in ecc_384.csr -out ecc_384_cert.pem

openssl ecparam -genkey -name secp521r1 -out ecc_521_key.pem
openssl req -new -sha256 -key ecc_521_key.pem -out ecc_521.csr
openssl req -x509 -sha256 -days 365 -key ecc_521_key.pem -in ecc_521.csr -out ecc_521_cert.pem

mv my_2048.key my_2048.cert my_3072.key my_3072.cert my_4096.key my_4096.cert ssl/
mv my_ecc_key.pem ssl/my_ecc_256v1.key
mv my_ecc_cert.pem ssl/my_ecc_256v1.cert
mv ecc_384_key.pem ssl/my_ecc_384v1.key
mv ecc_384_cert.pem ssl/my_ecc_384v1.cert
mv ecc_521_key.pem ssl/my_ecc_521v1.key
mv ecc_521_cert.pem ssl/my_ecc_521v1.cert

